> For the complete documentation index, see [llms.txt](https://docs.sharinpix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sharinpix.com/faqs/how-to-use-a-static-albumid-on-an-online-visualforce-page.md).

# How to use a static AlbumID on an online Visualforce page

SharinPix Visualforce page integrations permits to retrieve automatically the current recordID and use this value to display the SharinPix Album accordingly.

In some cases, you want to display an album from a static record and would like to use a Hard coded Album ID.

This sample of code show you how to do this:\
(Just replace the HARD\_CODED\_ALBUM\_ID text by your 18digits record ID)

```html
<apex:page StandardController="Site_Survey__c">
	<!-- HARD-CODED ALBUM ID -->
	<sharinpix:SharinPix height="500px" parameters="
		<sharinpix:SharinPix height="500px" parameters="{'abilities':{'HARD_CODED_ALBUM_ID':{'Access':{'see':true,'image_list':true,'image_upload':true,'image_delete':true,'fullscreen':true,'image_caption':true,'trash':true}}},'Id':'HARD_CODED_ALBUM_ID'}"></sharinpix:SharinPix>" >
	</sharinpix:SharinPix>
	<!--- DYNAMIC ALBUM ID -->
	<sharinpix:SharinPix height="500px" parameters="{'abilities':{'{! CASESAFEID($currentPage.parameters.Id) }':{'Access':{'see':true,'image_list':true,'image_upload':true,'image_delete':true,'fullscreen':true,'image_caption':true,'trash':true}}},'Id':'{! CASESAFEID($currentPage.parameters.Id) }'}'}"></sharinpix:SharinPix>
</apex:page>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sharinpix.com/faqs/how-to-use-a-static-albumid-on-an-online-visualforce-page.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
